package watki.podstawy;

public class Synchronizacja2 {

	public static void main(String[] args) {
		Konto konto = new Konto(1, 2300, new Osoba("Ala", "Kowalska"));
		System.out.println("Początkowy stan konta: " + konto.getSaldo());
		
		Thread wplacacz = new Thread(() -> {
			while(true) {
				try {
					Thread.sleep(5000);
				} catch (InterruptedException e) {
				}
				konto.wplata(1000);
				System.out.println("wpłacacz: wpłaciłem, saldo = " + konto.getSaldo());
			}
		});

		Thread wyplacacz = new Thread(() -> {
			while(true) {
				try {
					Thread.sleep(500);
				} catch (InterruptedException e) {
				}
				try {
					konto.wyplataCzekaj(300);
					System.out.println("wypłacacz: wypłaciłem, saldo = " + konto.getSaldo());
				} catch (BrakSrodkow e) {
					System.err.println("BRAKUJE KASY");
				}
			}
		});
		
		System.out.println("Uruchamiam wątki");
		wplacacz.start();
		wyplacacz.start();
	}

}
